/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */


/*
 * ListManagerTest.java
 * JUnit based test
 *
 * Created on March 30, 2004, 9:07 PM
 */

package com.sun.enterprise.config.backup;

import junit.framework.*;

/**
 *
 * @author bnevins
 */
public class ListManagerTest extends TestCase
{
	
	public ListManagerTest(java.lang.String testName)
	{
		super(testName);
	}
	
	public static Test suite()
	{
		TestSuite suite = new TestSuite(ListManagerTest.class);
		return suite;
	}
	
	/** Test of foo method, of class com.sun.enterprise.config.backup.ListManager. */
	public void testListManager()
	{
		System.out.println("testListManager");
		
		try
		{
			BackupRequest req = new BackupRequest("C:/tmp/domains", "domain1");
			ListManager listMgr = new ListManager(req);
			System.out.println(listMgr.list());
		}
		catch(BackupException be)
		{
			fail("Got an unexpected BackupException: " + be);
		}
		catch(Exception e)
		{
			fail("Got an unexpected BackupException: " + e);
		}
	}
	
	public static void main(java.lang.String[] args)
	{
		junit.textui.TestRunner.run(suite());
	}
	
	// Add test methods here, they have to start with 'test' name.
	// for example:
	// public void testHello() {}
	
	
}
